# Do not forget to pin down the version
FROM "{{jupyter_hub_image_name}}"

COPY jupyterhub_config.py .

# Install dependencies (for advanced authentication and spawning)
RUN pip install --upgrade pip && \
    pip install \
        dockerspawner==0.10.0 \
        oauthenticator==0.11.0 \ 
        notebook==7.1.1

CMD jupyterhub -f ./jupyterhub_config.py
